<template id="sparql-ux">
  <style>
    :root {
        /* Why does putting custom properties here not work? */
    }
    /*
    * {

        --big-xy: clamp(50vh,500px,1000px);
        --lil-xy: calc(var(--big-xy) * .66);
        --dif-xy: calc(var(--big-xy) - var(--lil-xy));
        --hlf-dif-xy: calc(var(--dif-xy) / 2);
        --hed-h: calc(var(--dif-xy) / 2.2);
        --logo-xy: calc(var(--hed-h) * .80);
        --logo-pad: calc((var(--hed-h) - var(--logo-xy)) / 2.2);
        --fntsiz: calc(var(--lil-xy)/26);
        font-size: var(--fntsiz);
    }
    button {
        border-radius: .5em;
    }
      */
  </style>
  <div>
      <div class="ui-widget" style="margin-top:5px;margin-left:10px;">
        <label>Graphs: sparqlux</label>
        <select slot="graphSelector" size="7" id="${sparqlGraphSelectorId}">
        </select>
      </div>
      <div id="sparqlGraphSpinner-${this.endpoint_loader.select_id}"
         style="display:none;font-style:italic;">
        <i class="fas fa-spinner fa-spin" style="margin: 10px 10px 0 50px;"></i>
        Looking for graphs...
      </div>
      <div id="${sparqlQryInput_id}" class="ui-widget sparqlQryInput"
         style="display:none;margin-top:5px;margin-left:10px;color:#999;">
        <label for="${endpoint_labels_id}">Find: </label>
        <input id="${endpoint_labels_id}">
        <i class="fas fa-spinner fa-spin" style="visibility:hidden;margin-left: 5px;"></i>
        <div>
          <label for="${endpoint_limit_id}">Node Limit: </label>
          <input id="${endpoint_limit_id}" value="${this.sparql_query_default_limit}">
        </div>
        <div>
          <label for="${spo_query_id}">(s,p,o) query: </label><br/>
          <textarea id="${spo_query_id}" value="" style="width:90%" rows="5"
            placeholder="${spo_placeholder}"></textarea>
          <p><i>pick graph, then enter query producing one or more <code>s,p,o</code></i></p>
        </div>
      </div>
  </div>
</template>
